Index: /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_current.inc.php
===================================================================
--- /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_current.inc.php	(revision 6832)
+++ /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_current.inc.php	(revision 6876)
@@ -122,5 +122,9 @@
                 'tzid' => array('type' => 'varchar', 'precision' => '50' ,'nullable' => True),
                 'transp' => array( 'type' => 'int', 'precision' => '2', 'nullable' => FALSE , 'default' => 0 ),
-                'sequence' => array( 'type' => 'int', 'precision' => '8', 'nullable' => FALSE , 'default' => 0 )
+                'sequence' => array( 'type' => 'int', 'precision' => '8', 'nullable' => FALSE , 'default' => 0 ),
+                'due' => array( 'type' => 'int', 'precision' => '8', 'nullable' => FALSE , 'default' => 0 ),
+                'percentage' => array( 'type' => 'int', 'precision' => '8', 'nullable' => FALSE , 'default' => 0 ),
+                'status' => array( 'type' => 'int', 'precision' => '8', 'nullable' => FALSE , 'default' => 0 ),
+                'priority' => array( 'type' => 'int', 'precision' => '8', 'nullable' => FALSE , 'default' => 2 )
             ),
             'pk' => array('id'),
Index: /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_update.inc.php
===================================================================
--- /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_update.inc.php	(revision 6832)
+++ /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_update.inc.php	(revision 6876)
@@ -128,5 +128,7 @@
 	 	$oProc->query("ALTER TABLE calendar_object ADD COLUMN status smallint DEFAULT 0;");
 
-	 	$oProc->query("ALTER TABLE calendar ADD COLUMN type smallint DEFAULT 0;");
+	 	$oProc->query("ALTER TABLE calendar_object ADD COLUMN due smallint DEFAULT 0;");
+
+        $oProc->query("ALTER TABLE calendar ADD COLUMN type smallint DEFAULT 0;");
 	 	$oProc->query("ALTER TABLE calendar_signature ADD COLUMN type smallint DEFAULT 0;");
 
Index: /sandbox/2.4.2-expresso1/prototype/config/schedulable.ini
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/config/schedulable.ini	(revision 6797)
+++ /sandbox/2.4.2-expresso1/prototype/config/schedulable.ini	(revision 6876)
@@ -59,2 +59,3 @@
 percentage = percentage
 status = status
+due = due
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/interceptors/DBMapping.php	(revision 6832)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/interceptors/DBMapping.php	(revision 6876)
@@ -16,23 +16,27 @@
 	    $params['summary'] = 'Evento sem título';
 
-	if (!is_numeric($params['startTime']))
-	    $params['startTime'] = self::parseTimeDate($params['startTime'], $params['timezone']);
-
-	if (!is_numeric($params['endTime'])) {
-	    $params['endTime'] = self::parseTimeDate($params['endTime'], $params['timezone']);
-
-	    if ($params['allDay'])
-		$params['endTime'] = $params['endTime'] + 86400000;
-	}
-
-	$params['rangeEnd'] = $params['endTime'];
-	$params['rangeStart'] = $params['startTime'];
-
-	///////////////////////////////////////////////////////////////////
-
-	$params['dtstamp'] = (isset($params['dtstamp'])) ? $params['dtstamp'] : time() . '000';
-	$params['lastUpdate'] = (isset($params['lastUpdate'])) ? $params['lastUpdate'] : time() . '000';
-	$params['uid'] = isset($params['uid']) ? $params['uid'] : self::_makeUid();
-    }
+    	if (!is_numeric($params['startTime']))
+    	    $params['startTime'] = self::parseTimeDate($params['startTime'], $params['timezone']);
+
+    	if (!is_numeric($params['endTime'])) {
+    	    $params['endTime'] = self::parseTimeDate($params['endTime'], $params['timezone']);
+
+    	    if ($params['allDay'])
+    		$params['endTime'] = $params['endTime'] + 86400000;
+    	}
+
+        if (isset($params['due']) && $params['due'] != '' && !is_numeric($params['due']))
+            $params['due'] = self::parseTimeDate($params['due'], $params['timezone']);
+
+
+    	$params['rangeEnd'] = $params['endTime'];
+    	$params['rangeStart'] = $params['startTime'];
+
+    	///////////////////////////////////////////////////////////////////
+
+    	$params['dtstamp'] = (isset($params['dtstamp'])) ? $params['dtstamp'] : time() . '000';
+    	$params['lastUpdate'] = (isset($params['lastUpdate'])) ? $params['lastUpdate'] : time() . '000';
+    	$params['uid'] = isset($params['uid']) ? $params['uid'] : self::_makeUid();
+        }
 
     static function parseTimeDate($time, $timezone) {
@@ -136,4 +140,6 @@
 		.'calendar_object.dtstart as "startTime", calendar_object.summary as "summary", '
 		.'calendar_object.description as "description", calendar_object.dtend as "endTime" , '
+        .'calendar_object.priority as "priority", calendar_object.due as "due", '
+        .'calendar_object.percentage as "percentage", calendar_object.status as "status", '
 		.'calendar_object.location as "location", calendar_object.allday as "allDay", '
 		.'calendar_object.transp as "transparent", calendar_object.class_id as "class", '
@@ -422,22 +428,28 @@
     public function encodeUpdateSchedulable(&$uri, &$params, &$criteria, $original) {
 
-	$event = Controller::read(array('concept' => 'schedulable', 'id' => $params['id']));
-	
-	if (isset($params['startTime'])) {
-
-	    if (!is_numeric($params['startTime']))
-		$params['startTime'] = self::parseTimeDate($params['startTime'], $event['timezone']);
-
-	    $params['rangeStart'] = $params['startTime'];
-	}if (isset($params['endTime'])) {
-
-	    if (!is_numeric($params['endTime'])) {
-		$params['endTime'] = self::parseTimeDate($params['endTime'], $event['timezone']);
-
-	    if ((isset($params['allDay']) && $params['allDay']) || ( !isset($params['allDay']) && $event['allDay']))
-		$params['endTime'] = $params['endTime'] + 86400000;
-	    }
-	    $params['rangeEnd'] = $params['endTime'];
-	}
+    	$event = Controller::read(array('concept' => 'schedulable', 'id' => $params['id']));
+    	
+    	if (isset($params['startTime'])) {
+
+    	    if (!is_numeric($params['startTime']))
+    		$params['startTime'] = self::parseTimeDate($params['startTime'], $event['timezone']);
+
+    	    $params['rangeStart'] = $params['startTime'];
+    	}
+
+        if (isset($params['endTime'])) {
+
+    	    if (!is_numeric($params['endTime'])) {
+    		$params['endTime'] = self::parseTimeDate($params['endTime'], $event['timezone']);
+
+    	    if ((isset($params['allDay']) && $params['allDay']) || ( !isset($params['allDay']) && $event['allDay']))
+    		$params['endTime'] = $params['endTime'] + 86400000;
+    	    }
+    	    $params['rangeEnd'] = $params['endTime'];
+    	}
+
+
+        if (isset($params['due']) && $params['due'] != '' && !is_numeric($params['due']))
+            $params['due'] = self::parseTimeDate($params['due'], $event['timezone']);
     }
 
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/constants.php
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/constants.php	(revision 6797)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/constants.php	(revision 6876)
@@ -56,3 +56,12 @@
 define('CALENDAR_ACL_SHARED', 's');
 define('CALENDAR_ACL_REQUIRED', 'p');
+
+define('PRIORITY_HIGH', 1);
+define('PRIORITY_NORMAL', 2);
+define('PRIORITY_LOW', 3);
+
+define('STATUS_TODO_NEED_ACTION', 1);
+define('STATUS_TODO_IN_PROGRESS', 2);
+define('STATUS_TODO_COMPLETED', 3);
+define('STATUS_TODO_CANCELLED', 4);
 ?>
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js	(revision 6797)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js	(revision 6876)
@@ -596,4 +596,209 @@
 });
 
+DataLayer.codec( "schedulable", "task", {
+
+    decoder: function( evtObj ){
+    Encoder.EncodeType = "entity";
+    
+    if( notArray = $.type(evtObj) !== "array" )
+        evtObj = [ evtObj ];
+
+    var pref = User.preferences;
+
+    var res = $.map(evtObj, function( form ){
+    
+        var tzId =  form.timezone || Calendar.signatureOf[form.group].calendar.timezone || User.preferences.timezone,
+
+        formatString = pref.dateFormat + " " + pref.hourFormat;
+
+        return DataLayer.merge({
+        "class": form["class"],
+        startTime: Date.parseExact(form.startDate + " "+$.trim(form.startHour) , formatString ).toString(!!form.allDay ? 'yyyy-MM-dd 00:00:00' : 'yyyy-MM-dd HH:mm:00'),
+        endTime:  Date.parseExact(form.endDate + " "+$.trim(form.endHour), formatString ).toString(!!form.allDay ? 'yyyy-MM-dd 00:00:00' : 'yyyy-MM-dd HH:mm:00'),  //+ (!!form.allDay ? 86400000 : 0) ,
+        due: (form.dueDate == '' )? 0 : Date.parseExact(form.dueDate + " "+$.trim(form.dueTime) , formatString ).toString(!!form.allDay ? 'yyyy-MM-dd 00:00:00' : 'yyyy-MM-dd HH:mm:00'),
+        allDay: ( !!form.allDay ? 1 : 0 ),      
+        status: form.taskStatus,      
+        id: form.idTask,
+        location: form.location,
+        type: 2,
+        percentage: form.percentage,
+        priority: form.priority,
+        category: form.category,
+        summary: form.summary,
+        description: form.description,
+        timezone: tzId,
+        attachments: $.map(form.attachment || [], function( attachment, i ){
+            return {
+            attachment: attachment
+            }
+        }),
+        participants: $.map( form.attendee || [], function( attendee, i ){
+
+            if( !attendee || attendee === "" )
+            return( null );
+
+            var participant = {};
+            participant.user = (attendee!= User.me.id) ? DataLayer.get('participant', attendee).user : attendee ;
+
+            if( participant.user === User.me.id ){
+            return DataLayer.merge({
+                id: attendee,
+                isOrganizer: (form.attendee_organizer == attendee ? 1 : 0 ),
+                alarms: participant.alarms = $.map( form.alarmTime || [], function( alarmTime, i ){
+                if( alarmTime === "" )
+                    return( null );
+                return !!form.alarmId[i] ? {
+                    type: form.alarmType[i], 
+                    unit: form.alarmUnit[i], 
+                    time: form.alarmTime[i], 
+                    id: form.alarmId[i]
+                    }:
+
+                    {
+                    type: form.alarmType[i],
+                    unit: form.alarmUnit[i], 
+                    time: form.alarmTime[i]
+                    };
+                }),
+                status: !!form.status ? form.status : 3
+            }, (form.delegatedFrom[i] != '0' && form.delegatedFrom[i] != '')  ? {
+                delegatedFrom: form.delegatedFrom[i]
+                } : {});
+            }else{
+                return {
+                    id: attendee,
+                    isOrganizer: (form.attendee_organizer == attendee ? 1 : 0 ),
+                    isExternal: !!parseInt(form.attendeeType[i]) ? 1 : 0,
+                    };
+            };
+        })
+        }, form.lastGroup ? (( form.lastGroup == form.group ) ? {} : {calendar: form.group, lastGroup: form.lastGroup}) : {calendar: form.group});
+    });
+
+    return notArray ? res[0] : res;
+    },
+
+    encoder: function( evtObj ){
+
+    var notArray = false;
+      
+    if( notArray = $.type(evtObj) !== "array" )
+        evtObj = [ evtObj ];
+
+    var statusParticipants = {},  isAttendee = false,
+   
+    statusLabels = [ '', 'accepted', 'tentative', 'cancelled', 'unanswered', 'delegated' ],
+
+    participantInfo = {}, delegatedFrom = {}, me = DataLayer.copy( User.me );
+    
+    var delegateAttendee = {};
+    
+    for( var i = 0; i < statusLabels.length; i++ )
+        statusParticipants[ statusLabels[i] ] = 0;
+    
+    var res = $.map(evtObj, function( objEvent ){           
+            
+        if(!(typeof(objEvent) == 'object'))
+            return (null);
+
+        var limitAttendee = false;
+
+        return {
+        "class": objEvent["class"],
+        id: objEvent.id,
+        location: objEvent.location,
+        category: objEvent.category,
+        taskStatus: objEvent.status,
+        groups: Calendar.groups,
+        group: objEvent.group,
+        summary: objEvent.summary,
+        description: objEvent.description,
+        timezone: objEvent.timezone,
+        timezones: Timezone.timezones,
+        percentage: (objEvent.percentage) ? objEvent.percentage : '0',
+        priority: objEvent.priority,
+        startDate: new Date( parseInt(objEvent.startTime) ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+        startHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(objEvent.startTime)), objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'startTime'), User.preferences.hourFormat),
+        endDate: new Date( parseInt(objEvent.endTime) - (!!parseInt(objEvent.allDay) ? 86400000 : 0)  ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+        endHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date(parseInt(objEvent.endTime)),  objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'endTime'), User.preferences.hourFormat),
+        dueDate: (!objEvent.due || objEvent.due == '' || objEvent.due == '0') ? '' : new Date( parseInt(objEvent.due) ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+        dueTime: (!objEvent.due || objEvent.due == '' || objEvent.due == '0') ? '' : dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(objEvent.due)), objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'startTime'), User.preferences.hourFormat),
+        allDay: !!parseInt( objEvent.allDay ),
+	    historic: [],
+        attachments: $.map(objEvent.attachments || [], function( attachment, i ){
+            var attach = DataLayer.get('schedulableToAttachment', attachment, false);
+            //TODO - Verificar na API retorno de id sobre os conceitos em que s?o utilizados tabelas de liga??o
+            if(!attach.name) return(null); 
+            
+            var ext = attach.name.split('.');
+            attach.name = attach.name.length < 10 ?  attach.name : ( ext.length == 1 ? attach.name.substr(0, 10) : (attach.name.substr(0, 6) + '.' +  ext[ext.length -1]));
+            attach.size = formatBytes(attach.size);
+            return attach;
+        }),                     
+        attendee: $.map(objEvent.participants || [], function( participant, i ){                        
+
+            if(delegateAttendee[participant])
+                return(null);
+
+            var attend = DataLayer.get('participant', (participant.id || participant));
+            attend.user = DataLayer.get('user', attend.user);
+
+            statusParticipants[ statusLabels[attend.status] ]++;    
+
+            if(attend.user.mail == User.me.mail)
+                isAttendee = true;
+
+            if( attend.user.id ===  me.id ){
+                participantInfo.user = {
+                    id: attend.id,
+                    status : attend.status,
+                    delegatedFrom: attend.delegatedFrom || '0',
+                    acl: attend.acl,
+                    receiveNotification : attend.receiveNotification,
+                    alarms : $.map(attend.alarms || [], function( alarm ){
+                    var alarm = DataLayer.get('alarm', alarm);
+                    return (alarm == "" ? (null) : alarm);
+                    })
+                };
+                me = attend;
+                return(null);
+            };
+
+            var person = {
+                id: attend.id,
+                name: attend.user.name != 'false' ? attend.user.name : '',
+                mail: attend.user.mail,
+                status : attend.status,
+                isExternal: attend.isExternal,
+                acl: attend.acl,
+                delegatedFrom: attend.delegatedFrom
+            };
+
+            if(!!parseInt(attend.delegatedFrom)){
+                delegatedFrom[attend.delegatedFrom] = DataLayer.copy(person);
+                return(null);
+            }
+
+            if( !!parseInt(attend.isOrganizer)){
+                participantInfo.organizer = DataLayer.copy(person);
+                return(null);
+            };                  
+
+            return (person);
+        }),
+        organizer: participantInfo.organizer || me,
+        alarms: !!participantInfo.user ? participantInfo.user.alarms : [],
+        status: !!participantInfo.user ? participantInfo.user.status : 1,
+        isAttendee: isAttendee,
+        me: me,
+        delegatedFrom: delegatedFrom,
+        statusParticipants: (objEvent.sizeAttendees != "") ? objEvent.statusAttendees : statusParticipants,
+        sizeAttendeeLimit: (objEvent.sizeAttendees != "") ? objEvent.sizeAttendees : false
+        };
+    });
+    console.log(res[0]);
+    return (notArray ? res[0] : res);
+    }
+});
 
 function decodeOwnerCalendar(calendar){
@@ -1055,5 +1260,5 @@
 			    ]
 			],
-			['IN', 'calendar',  Calendar.calendarIds]
+			['IN', 'calendar',  $.merge( Calendar.calendarIds, Calendar.groupIds )]
 		], 
 	    criteria: {
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/load.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/load.js	(revision 6768)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/load.js	(revision 6876)
@@ -54,10 +54,14 @@
     }
 
-    this.calendarIds = [], this.signatureOf = {}, this.calendars = [], this.calendarOf= {};
+    this.calendarIds = [], this.groupIds = [], this.signatureOf = {}, this.calendars = [], this.groups = [], this.calendarOf = {}, this.groupOf= {};
 
     for( var i = 0; i < this.signatures.length; i++ ){
 	if(this.signatures[i].isOwner == "0")
 	    this.signatures[i].permission =  DataLayer.encode('calendarToPermission:detail', this.signatures[i].permission);
-	this.signatureOf[ this.calendarIds[i] = ( this.calendars[ this.calendars.length ] = this.calendarOf[ this.signatures[i].id ] = this.signatures[i].calendar ).id ] = this.signatures[i];
+
+        if(this.signatures[i].calendar.type == '1')
+           this.signatureOf[ this.groupIds[this.groupIds.length] = ( this.groups[ this.groups.length ] = this.groupOf[ this.signatures[i].id ] = this.signatures[i].calendar ).id ] = this.signatures[i];
+        else
+    	   this.signatureOf[ this.calendarIds[ this.calendarIds.length] = ( this.calendars[ this.calendars.length ] = this.calendarOf[ this.signatures[i].id ] = this.signatures[i].calendar ).id ] = this.signatures[i];
     }
 
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/map.disponibility.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/map.disponibility.js	(revision 6444)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/map.disponibility.js	(revision 6876)
@@ -8,10 +8,10 @@
 
 
-function updateMap(data){
-	var start_date = $(".new-event-win.active .start-date").val();
-	var end_date   = $(".new-event-win.active .end-date").val();
-	var start_time = $(".new-event-win.active .start-time").val();
-	var end_time   = $(".new-event-win.active .end-time").val();
-	var isAllDay   = $('.new-event-win.active input[name="allDay"]').is(':checked');
+function updateMap(viewName){
+	var start_date = $(".new-"+viewName+"-win.active .start-date").val();
+	var end_date   = $(".new-"+viewName+"-win.active .end-date").val();
+	var start_time = $(".new-"+viewName+"-win.active .start-time").val();
+	var end_time   = $(".new-"+viewName+"-win.active .end-time").val();
+	var isAllDay   = $('.new-'+viewName+'-win.active input[name="allDay"]').is(':checked');
 	
 	var formatString = User.preferences.dateFormat + " " + User.preferences.hourFormat;
@@ -21,5 +21,5 @@
 	
 	
-	var event = $("#new_event_map").fullCalendar('clientEvents', 'map')[0];
+	var event = $('.new-'+viewName+'-win .map_disponibility').fullCalendar('clientEvents', 'map')[0];
 	
 	
@@ -28,5 +28,5 @@
 			event.end = endDate;
 			event.allDay = isAllDay;
-			$("#new_event_map").fullCalendar( 'updateEvent', event )
+			$('.new-'+viewName+'-win .map_disponibility').fullCalendar( 'updateEvent', event )
 		}
 		
@@ -35,12 +35,14 @@
 
 
-function disponibily(objEvent, path, attendees){
+function disponibily(objEvent, path, attendees, viewName){
 	var formatString = User.preferences.dateFormat + " " + User.preferences.hourFormat;
 	var startDate = Date.parseExact( objEvent.startDate + " " + $.trim(objEvent.startHour) , formatString );
 	var endDate = Date.parseExact( objEvent.endDate + " " + $.trim(objEvent.endHour) , formatString );
+
+    var dialogName = {event: 'addEvent', task: 'addTask', activity: 'addActivity'}
 	 
 	var mapHtml = DataLayer.render( path+'templates/availability_map.ejs', {});
-	$("#calendar_addevent_details7").html(mapHtml);
-	$("#new_event_map").fullCalendar(DataLayer.merge({
+	$('#calendar_add'+viewName+'_details7').html(mapHtml);
+	$('.new-'+viewName+'-win .map_disponibility').fullCalendar(DataLayer.merge({
 		height : 300,
 		timeFormat: User.preferences.hourFormat,
@@ -77,5 +79,5 @@
 			if(!allDay){
 				$('[name="allDay"]').attr("checked", false); 
-				UI.dialogs.addEvent.find('.start-time, .end-time').removeClass('hidden');
+				UI.dialogs[dialogName[viewName]].find('.start-time, .end-time').removeClass('hidden');
 				
 				$('[name="startHour"]').val(start.toString(User.preferences.hourFormat));
@@ -85,5 +87,5 @@
 			}else{
 				$('[name="allDay"]').attr("checked", true); 
-				UI.dialogs.addEvent.find('.start-time, .end-time').addClass('hidden');
+				UI.dialogs[dialogName[viewName]].find('.start-time, .end-time').addClass('hidden');
 			}
 		},
@@ -98,5 +100,5 @@
 				className : "map-event",
 				backgroundColor : "transparent !important",
-				editable : objEvent.acl.write || objEvent.acl.organization
+				editable : objEvent.acl ? (objEvent.acl.write || objEvent.acl.organization) : true
 			}
 		],
@@ -104,5 +106,5 @@
 			if(event.allDay){
 				$('[name="allDay"]').attr("checked", true); 
-				UI.dialogs.addEvent.find('.start-time, .end-time').addClass('hidden');
+				UI.dialogs[dialogName[viewName]].find('.start-time, .end-time').addClass('hidden');
 				
 				$('[name="startDate"]').val(dateCalendar.toString(event.start, User.preferences.dateFormat));				
@@ -111,5 +113,5 @@
 			}else{
 				$('[name="allDay"]').attr("checked", false); 
-				UI.dialogs.addEvent.find('.start-time, .end-time').removeClass('hidden');
+				UI.dialogs[dialogName[viewName]].find('.start-time, .end-time').removeClass('hidden');
 			
 				$('[name="startHour"]').val(dateCalendar.formatDate(event.start, User.preferences.hourFormat));
@@ -132,8 +134,8 @@
 	var eventSource = new Array();
 	var updateMapView = function(){
-		updateMap();
-		var view = $("#new_event_map").fullCalendar('getView');
+		updateMap(viewName);
+		var view = $('.new-'+viewName+'-win .map_disponibility').fullCalendar('getView');
 		var map = {};
-		$("#new_event_map").fullCalendar( 'removeEventSource', eventSource );
+		$('.new-'+viewName+'-win .map_disponibility').fullCalendar( 'removeEventSource', eventSource );
 		eventSource = new Array();	
 		map = {startTime : view.start.getTime(), endTime : view.end.getTime(), attendees: {}, timezone: (objEvent.timezone || User.preferences.timezone)};
@@ -167,12 +169,11 @@
 		}
 		if(eventSource.length)
-			$("#new_event_map").fullCalendar( 'addEventSource', eventSource );
+			$('.new-'+viewName+'-win .map_disponibility').fullCalendar( 'addEventSource', eventSource );
 	}; 
-	$('[href="#calendar_addevent_details7"]').click(function(eventData, eventObject){
-		$("#new_event_map").fullCalendar( 'gotoDate', Date.parseExact($('[name="startDate"]').val() + " " + $.trim($('[name="startHour"]').val()), formatString) , formatString);
-		//if(eventObject == undefined)
-			updateMapView();
+	$('[href="#calendar_add'+viewName+'_details7"]').click(function(eventData, eventObject){
+		$('.new-'+viewName+'-win .map_disponibility').fullCalendar( 'gotoDate', Date.parseExact($('[name="startDate"]').val() + " " + $.trim($('[name="startHour"]').val()), formatString) , formatString);
+		  updateMapView();
 	});	
-	$("#new_event_map").find(".fc-button-prev, .fc-button-next, .fc-button-today").click(function(){
+	$('.new-'+viewName+'-win .map_disponibility').find(".fc-button-prev, .fc-button-next, .fc-button-today").click(function(){
 		updateMapView();
 	});
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6857)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6876)
@@ -942,6 +942,6 @@
     callbackAttendee();
 /**
-				Opções de delegação do participante/organizer
-			*/		
+Opções de delegação do participante/organizer
+*/		
 blkAddAtendee.find(".button.participant-delegate").button({
     icons: {
@@ -971,7 +971,7 @@
 
 UI.dialogs.addEvent.find(".attendee-list-add .add-attendee-input input").Watermark("digite um email para convidar");
-/* Trata a edição de um novo participante adicionado
-			* 
-			*/
+/* 
+ * Trata a edição de um novo participante adicionado
+ */
 var hasNewAttendee = false;
 			
@@ -1197,7 +1197,7 @@
 } else if (!skipAddNewLine) {		
     /**
-						 * a) salva como novo usuario externo no banco (apenas com email) e...
-						 * adiciona novo contato externo à lista de convidados
-						 */
+     * a) salva como novo usuario externo no banco (apenas com email) e...
+     * adiciona novo contato externo à lista de convidados
+     */
 
     userId = DataLayer.put('user', {
@@ -1560,5 +1560,5 @@
 }
 
-disponibily(objEvent, path, attendees);
+disponibily(objEvent, path, attendees, 'event');
 
 /*Seleciona a agenda padrão para criação de um evento*/
@@ -1576,6 +1576,5 @@
 
 UI.dialogs.addEvent.dialog('open');
-//$('[href="#calendar_addevent_details7"]').trigger('click');
-//$('[href="#calendar_addevent_details2"]').trigger('click');
+
 }
 
